List topics
curl --request GET \
--url https://api.rankspot.ai/v1/topics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rankspot.ai/v1/topics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rankspot.ai/v1/topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"total": 100,
"offset": 0,
"limit": 100,
"count": 10,
"items": [
{
"id": "clx...",
"title": "How to Start a Blog in 2024",
"status": "planned",
"keywords": [
{
"id": "clx...",
"keyword": "start a blog"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "A comprehensive guide for beginners.",
"additionalInstructions": "Focus on WordPress.",
"position": 1,
"categoryId": "clx...",
"articleId": "clx..."
}
]
}
}Topics
List topics
Returns a paginated list of topics ordered by position then creation date. Filter by status (planned, generating, generated), categoryId, or a search substring that matches the title or description.
GET
https://api.rankspot.ai
/
v1
/
topics
List topics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 100Search by title or description substring
Filter by status
Available options:
planned, generating, generated Filter by category ID
Response
200 - application/json
Hide child attributes
Hide child attributes
Example:
100
Example:
0
Example:
100
Example:
10
Hide child attributes
Hide child attributes
Example:
"clx..."
Example:
"How to Start a Blog in 2024"
planned | generating | generated
Available options:
planned, generating, generated Example:
"planned"
Example:
"A comprehensive guide for beginners."
Example:
"Focus on WordPress."
Example:
1
Example:
"clx..."
Example:
"clx..."
⌘I
